Package com.treemap.swing.fastvoronoi.convexhull

# Class ConflictList

java.lang.Object
com.treemap.swing.fastvoronoi.convexhull.ConflictList

public class ConflictList extends Object
Every vertex and facet in this convex hull algorithm keeps a ConflictList. For a vertex, this list contains all of the facets that are visible to it. For a facet, the list contains all of the vertices that can see it. The conflict lists are stored as doubly- connected lists of GraphArcs and are designed to support constant- time add and remove operations.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected GraphArc`
  `head`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConflictList(boolean facet)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `add(GraphArc arc)`
  `void`
  `clear()`
  `boolean`
  `empty()`
  `void`
  `fill(List list)`
  Fill a list of facets by recursively walking the doubly-linked facet list.
  `void`
  `getFacets(List list)`
  Fill a list of facets by recursively walking the doubly-linked facet list.
  `void`
  `getVertices(List list)`
  Fill a list of verticies by recursively walking the doubly-linked facet list.
  `void`
  `printFacetList()`
  `void`
  `printVertexList()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### head

    protected GraphArc head

- ## Constructor Details

  - ### ConflictList

    public ConflictList(boolean facet)

- ## Method Details

  - ### add

    public void add(GraphArc arc)

  - ### empty

    public boolean empty()

  - ### clear

    public void clear()

  - ### getVertices

    public void getVertices(List list)
    Fill a list of verticies by recursively walking the doubly-linked facet list.

  - ### getFacets

    public void getFacets(List list)
    Fill a list of facets by recursively walking the doubly-linked facet list.

  - ### fill

    public void fill(List list)
    Fill a list of facets by recursively walking the doubly-linked facet list.

  - ### printFacetList

    public void printFacetList()

  - ### printVertexList

    public void printVertexList()